# オプション
## --fuse-status
### i.MX 6ULL
#### lock
bootの設定などをlockするためのfuseの名前と簡単な説明を以下に示す。；
* BOOT_CFG_LOCK
	* ブートに関連したfusesをロック

以下の図で判定の流れを示す。

![imx6ull_lock_flow](./imx6ull_lock_flow.png)
*lock用fuseの設定値の判定の流れ。判定後の表示する文字列は" "で囲んでいる。*

#### jtag
jtagのセキュリティに関わるfuseの名前と簡単な説明を以下に示す。；

* SJC_DISABLE
	* Secure Jtag Controller の有効/無効を制御する。
* JTAG_SMODE
	* JTAGのモード(jtag_enable, secure_jtag, no_debug)を選択する
* KTE
	* JTAGのバスのトレーシングの有効/無効を制御する。

以下の図で判定の流れを示す。

![imx6ull_jtag_flow](./imx6ull_jtag_flow.png)
*jtagの設定値の判定の流れ。判定後の表示する文字列は" "で囲んでいる。i.MX8MPlusと同じフロー。*


#### sd_boot
SD Bootのセキュリティに関わるfuseの名前と簡単な説明を以下に示す。；

* BT_FUSE_SEL
	* 設定のfuseがプログラムされたかどうか、1ならプログラムされたことを示す。
* USDHC（正確なfuseの名前ではない）
	* uSDHC は SD/eMMC のコントローラー。どちらのコントローラーからブートするか選択。
* BOOT_DEVICE（正確なfuseの名前ではない）
	*  0x450[7:6]でUSDHC interfaceからブートするかを決めて（01でUSDHC interfaceからブート）、0x450[5]でSDかeMMCか選択（1ならeMMC）。
* BUS_WIDTH（正確なfuseの名前ではない）
	* 0x450[15:13]。eMMCのバス幅を指定する。010で8ビット。

以下の図で判定の流れを示す。

![imx6ull_sd_boot_flow](./imx6ull_sd_boot_flow.png)
*sd_bootの設定値の判定の流れ。判定後に表示する文字列は" "で囲んでいる。*
