# オプション
## --fuse-status
### i.MX 8MPlus
#### lock
bootの設定などをlockするためのfuseの名前と簡単な説明を以下に示す。；
* BOOT_CFG_LOCK
	* 0x470から4B0までのブートに関連したfusesをロック
* CST_SRK_LOCK
	* SRKハッシュが書き込まれた領域をロックする。

以下の図で判定の流れを示す。

![imx8mp_lock_flow](./imx8mp_lock_flow.png)
*lock用fuseの設定値の判定の流れ。判定後の表示する文字列は" "で囲んでいる。*

#### jtag
jtagのセキュリティに関わるfuseの名前と簡単な説明を以下に示す。；

* SJC_DISABLE
	* Secure Jtag Controller の有効/無効を制御する。
* JTAG_SMODE
	* JTAGのモード(jtag_enable, secure_jtag, no_debug)を選択する
* KTE
	* JTAGのバスのトレーシングの有効/無効を制御する。

以下の図で判定の流れを示す。

![imx8mp_jtag_flow](./imx8mp_jtag_flow.png)
*jtagの設定値の判定の流れ。判定後の表示する文字列は" "で囲んでいる。*

#### sd_boot
SD Bootのセキュリティに関わるfuseの名前と簡単な説明を以下に示す。；

* BT_FUSE_SEL
	* 設定のeFusesがプログラムされたかどうか、1ならプログラムされたことを示す。
* FORCE_BT_FROM_FUSE
	* Boot Mode Pinsで設定されたものではなく、プログラムされたfuseから起動する。
* BOOT_MODE_FUSES
	* ブートデバイスの選択

以下の図で判定の流れを示す。

![imx8mp_sd_boot_flow](./imx8mp_sd_boot_flow.png)
*sd_bootの設定値の判定の流れ。判定後に表示する文字列は" "で囲んでいる。*

#### secureboot
セキュアブートに関わるfuseの名前と簡単な説明を以下に示す。；

* CST_SRK_HASH
	* SRKハッシュが書き込まれる。
* SE_CONFIG
	* close処理。署名が失敗した場合に起動しないようにする。

以下の図で判定の流れを示す。

![imx8mp_secureboot_flow](./imx8mp_secureboot_flow.png)
*securebootの設定値の判定の流れ。判定後に表示する文字列は" "で囲んでいる。*
